From: David Marchand <david.marchand@redhat.com>
To: dev@dpdk.org
Cc: Thomas Monjalon <thomas@monjalon.net>
Subject: [dpdk-dev] [PATCH] devtools: check prefix for libraries patches
Date: Wed, 20 Oct 2021 11:14:15 +0200 [thread overview]
Message-ID: <20211020091415.7010-1-david.marchand@redhat.com> (raw)
The convention in DPDK is to directly use library names as prefix,
without a lib/.
Signed-off-by: David Marchand <david.marchand@redhat.com>
---
devtools/check-git-log.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/devtools/check-git-log.sh b/devtools/check-git-log.sh
index 9988bf863d..475f2464ab 100755
--- a/devtools/check-git-log.sh
+++ b/devtools/check-git-log.sh
@@ -89,6 +89,12 @@ bad=$(for commit in $commits ; do
done | sed 's,^,\t,')
[ -z "$bad" ] || { printf "Wrong headline prefix:\n$bad\n" && failure=true;}
+# check headline prefix for libraries
+bad=$(echo "$headlines" | grep --color=always \
+ -e '^lib/' \
+ | sed 's,^,\t,')
+[ -z "$bad" ] || { printf "Wrong headline prefix:\n$bad\n" && failure=true;}
+
# check headline label for common typos
bad=$(echo "$headlines" | grep --color=always \
-e '^example[:/]' \
--
2.23.0
next reply other threads:[~2021-10-20 9:14 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-10-20 9:14 David Marchand [this message]
2021-11-26 10:12 ` Thomas Monjalon
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20211020091415.7010-1-david.marchand@redhat.com \
--to=david.marchand@redhat.com \
--cc=dev@dpdk.org \
--cc=thomas@monjalon.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).